<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.revoke.mapper.CaseMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.revoke.entity.TsCase">
        <id column="caseId" property="caseId" />
        <result column="caseNo" property="caseNo" />
        <result column="caseName" property="caseName" />
        <result column="bizseq" property="bizseq" />
        <result column="illegalAct" property="illegalAct" />
        <result column="illegalActCn" property="illegalActCn" />
        <result column="handlerName" property="handlerName" />
        <result column="handlerDate" property="handlerDate" />
        <result column="place" property="place" />
        <result column="caseFrom" property="caseFrom" />
        <result column="registTime" property="registTime" />
        <result column="situation" property="situation" />
        <result column="isRegister" property="isRegister" />
        <result column="remarks" property="remarks" />
        <result column="laupTime" property="laupTime" />
        <result column="assistantName" property="assistantName" />
        <result column="bizEntType" property="bizEntType" />
        <result column="hearingToApprRea" property="hearingToApprRea" />
        <result column="reviewHearingOpinion" property="reviewHearingOpinion" />
        <result column="pleadOpinion" property="pleadOpinion" />
        <result column="advicePunishContent" property="advicePunishContent" />
        <result column="isReviewHearing" property="isReviewHearing" />
        <result column="deliverWay" property="deliverWay" />
        <result column="illegalType" property="illegalType" />
        <result column="handlerId" property="handlerId" />
        <result column="assistantId" property="assistantId" />
        <result column="setTime" property="setTime" />
        <result column="status" property="status" />
        <result column="revokeRea" property="revokeRea" />
        <result column="punishBasis" property="punishBasis" />
        <result column="punishPerformWay" property="punishPerformWay" />
        <result column="punishPerformDeadline" property="punishPerformDeadline" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        caseId, caseNo, caseName, bizseq, illegalAct, illegalActCn, illegactId, place, caseFrom, registTime, situation,
        isRegister, remarks, laupTime, assistantName, bizEntType, hearingToApprRea, isReviewHearing, advicePunishContent,
        pleadOpinion, reviewHearingOpinion, deliverWay, illegalType, handlerId, assistantId, setTime, status, revokeRea,punishBasis,punishPerformWay,punishPerformDeadline
    </sql>

</mapper>
